| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Attributes | List of all members
IG.Crypto.ConstCrypto Class Reference

Contains constants for cryptographic operations from shell functions. More...

## Public Attributes
const int | MaxTypeStringLength = 20
| Maximal length of string representing algorithm types. More...
const int | MinPasswordLength = 8
| Minimal password length for encryption. More...
const int | MinPasswordSaltLength = 8
| Minimal salt length for key derivation. More...
const int | MinSaltLength = 8
| Minimal salt length for encryption. More...
const int | FileBufferSize = 1024
| Default size of file buffer. More...
const int | DefaultNumPasswordIterations = 2000
| Default number of key generation algorithms when generating the keys. More...
const int | DefaultPasswordLength = 12
| Default password length. More...
const int | DefaultSaltLength = 64
| Default salt length. More...
const int | DefaultKeyLength = 64
| Default key length. More...
const string | HashFileExtension = ".chk"
| File extension for files containing the calculated hashRet codes. More...
const string | FileExtensionEncrypted = ".ig_enc"
| File extension for encrypted files. More...
const string | FileExtensionDecrypted = ".ig_dec"
| File extension for encrypted files. More...
const string | FileSignatureEncrypted = "IgEnc"
const string | FileSignatureEncryptedAsymmetricRandomSymmetric = "IgEncAsRnSy"
const string | ArgCheck = "-c"
| Verification (check) is performed rather than calculation (although this may also include calculation). More...
const string | ArgCheck1 = "/c"
| Verification (check) is performed rather than calculation (although this may also include calculation). More...
const string | ArgDecrypt = "-decrypt"
| Specifies that decryption is performed, rather than encryption. More...
const string | ArgDecrypt1 = "/decrypt"
| Specifies that decryption is performed, rather than encryption. More...
const string | ArgEncrypt = "-encrypt"
| Specifies that encryption is performed, rather than decryption. More...
const string | ArgEncrypt1 = "/encrypt"
| Specifies that encryption is performed, rather than decryption. More...
const string | ArgTime = "-time"
| Prescribed or expected time of exection (e.g. in time measurements). More...
const string | ArgTime1 = "/time"
| Prescribed or expected time of exection (e.g. in time measurements). More...
const string | ArgAlgorithmType = "-t"
| Specification of algorithm type follows. More...
const string | ArgAlgorithmType1 = "/t"
| Specification of algorithm type follows. More...
const string | ArgPasswordAlgorithmType = "-pwt"
| Specification of password or key generaton algorithm type follows. More...
const string | ArgPasswordAlgorithmType1 = "/pwt"
| Specification of password or key generaton algorithm type follows. More...
const string | ArgLargestKey = "-largestkey"
| True or false follows, a flag specifying whether the largest key for an algorithm is used. More...
const string | ArgLargestKey1 = "/largestkey"
| True or false follows, a flag specifying whether the largest key for an algorithm is used. More...
const string | ArgAsymAlgorithmType = "-at"
| Specification of asymmetric algorithm type follows. More...
const string | ArgAsymAlgorithmType1 = "/at"
| Specification of asymmetric algorithm type follows. More...
const string | ArgAsymKeyName = "-akn"
| Specification of assymmetric key container name. More...
const string | ArgAsymKeyName1 = "/akn"
| Specification of assymmetric key container name. More...
const string | ArgAsymKeyXmlFile = "-akxml"
| Specification of assymmetric key xml file. More...
const string | ArgAsymKeyXmlFile1 = "/akxml"
| Specification of assymmetric key xml file. More...
const string | ArgAsymKeyFlag = "-akf"
| Specification that assymmetric CSP (crypto service provider) flag follows. More...
const string | ArgAsymKeyFlag1 = "/akf"
| Specification that assymmetric key CSP (crypto service provider) flag follows. More...
const string | ArgAsymExportPrivateKey = "-exportprivatekey"
| Specification that assymmetric private keys are be exported (or printed), too. More...
const string | ArgAsymExportPrivateKey1 = "/exportprivatekey"
| Specification that assymmetric private keys are be exported, (or printed), too. More...
const string | ArgCertificateFile = "-cf"
| Specification that certificate file path follows. More...
const string | ArgCertificateFile1 = "/cf"
| Specification that certificate file path follows. More...
const string | ArgCertificatePassword = "-cp"
| Specification that certificate password (for access to private key) follows. More...
const string | ArgCertificatePassword1 = "/cp"
| Specification that certificate password (for access to private key) follows. More...
const string | ArgCertificatePasswordThroughUI = "-cpui"
| Specifies that certificate password (for access to private key) should be obtained through the user interface (normally, throough console). More...
const string | ArgCertificatePasswordThroughUI1 = "/cpui"
| Specifies that certificate password (for access to private key) should be obtained through the user interface (normally, throough console). More...
const string | ArgCertificateName = "-cn"
| Specification that certificate name follows. More...
const string | ArgCertificateName1 = "/cn"
| Specification that certificate name follows. More...
const string | ArgCertificateStoreName = "-cs"
| Specification that certificate store name follows. More...
const string | ArgCertificateStoreName1 = "/cs"
| Specification that certificate store name follows. More...
const string | ArgCertificateStoreLocation = "-csl"
| Specification that certificate store location (current user or local machine) follows. More...
const string | ArgCertificateStoreLocation1 = "/csl"
| Specification that certificate store location (current user or local machine) follows. More...
const string | ArgPasswordNumIterations = "-pwit"
| Specification that number of iterations used in key generation algorithm follows. More...
const string | ArgPasswordNumIterations1 = "/pwit"
| Specification that number of iterations used in key generation algorithm follows. More...
const string | ArgKeyHexBytes = "-kx"
| Specification that key as hexadecimal byte sequence follows. More...
const string | ArgKeyHexBytes1 = "/kx"
| Specification that key as hexadecimal byte sequence follows. More...
const string | ArgKeyBase64Bytes = "-k64"
| Specification that key as base-64 encoded byte sequence follows. More...
const string | ArgKeyBase64Bytes1 = "/k64"
| Specification that key as base-64 encoded byte sequence follows. More...
const string | ArgKeyLength = "-klen"
| Specification that length of the key follows. More...
const string | ArgKeyLength1 = "/klen"
| Specification that length of the key follows. More...
const string | ArgPasswordLength = "-pwlen"
| Specification that length of the password or key follows. More...
const string | ArgPasswordLength1 = "/pwlen"
| Specification that length of the password or key follows. More...
const string | ArgPasswordString = "-pw"
| Specification that password string follows. More...
const string | ArgPasswordString1 = "/pw"
| Specification that password string follows. More...
const string | ArgPasswordHexBytes = "-pwx"
| Specification that password as hexadecimal byte sequence follows. More...
const string | ArgPasswordHexBytes1 = "/pwx"
| Specification that password as hexadecimal byte sequence follows. More...
const string | ArgPasswordBase64Bytes = "-pw64"
| Specification of password as base-64 encoded byte sequence follows. More...
const string | ArgPasswordBase64Bytes1 = "/pw64"
| Specification of password as base-64 encoded byte sequence follows. More...
const string | ArgSaltLength = "-sllen"
| Specification of length of the salt follows. More...
const string | ArgSaltLength1 = "/sllen"
| Specification of length of the salt follows. More...
const string | ArgSaltString = "-sl"
| Specification of password string follows. More...
const string | ArgSaltString1 = "/sl"
| Specification of password string follows. More...
const string | ArgSaltHexBytes = "-slx"
| Specification of password as hexadecimal byte sequence follows. More...
const string | ArgSaltHexBytes1 = "/slx"
| Specification of password as hexadecimal byte sequence follows. More...
const string | ArgSaltBase64Bytes = "-sl64"
| Specification of password as base-64 encoded byte sequence follows. More...
const string | ArgSaltBase64Bytes1 = "/sl64"
| Specification of password as base-64 encoded byte sequence follows. More...
const string | ArgIvLength = "-ivlen"
| Specification of length of the initialization vector follows. More...
const string | ArgIvLength1 = "/ivlen"
| Specification of length of the initialization vector follows. More...
const string | ArgIvString = "-iv"
| Specification of initialization vector in form of string follows. More...
const string | ArgIvString1 = "/iv"
| Specification of initialization vector in form of string follows. More...
const string | ArgIvHexBytes = "-ivx"
| Specification of initialization vector as hexadecimal byte sequence follows. More...
const string | ArgIvHexBytes1 = "/ivx"
| Specification of initialization vector as hexadecimal byte sequence follows. More...
const string | ArgIvBase64Bytes = "-iv64"
| Specification of initialization vector as base-64 encoded byte sequence follows. More...
const string | ArgIvBase64Bytes1 = "/iv64"
| Specification of initialization vector as base-64 encoded byte sequence follows. More...
const string | ArgStringOutputFormat = "-sf"
| String output format (and possibly input, if not specified separately) is used. More...
const string | ArgStringOutputFormat1 = "/bfx"
| String output format (and possibly input, if not specified separately) is used. More...
const string | ArgBinaryOutputFormatHex = "-bfx"
| Binary output format (and possibly input, if not specified separately) used is hexadecimal. More...
const string | ArgBinaryOutputFormatHex1 = "/bfx"
| Binary output format (and possibly input, if not specified separately) used is hexadecimal. More...
const string | ArgBinaryOutputFormatBase64 = "-bf64"
| Binary output format (and possibly input, if not specified separately) used is hexadecimal. More...
const string | ArgBinaryOutputFormatBase641 = "/bf64"
| Binary output format (and possibly input, if not specified separately) used is hexadecimal. More...
const string | ArgBinaryOutputFormatLongInt = "-bfi"
| Binary output format (and possibly input, if not specified separately) used is long integer. More...
const string | ArgBinaryOutputFormatLongInt1 = "/bfi"
| Binary output format (and possibly input, if not specified separately) used is long integer. More...
const string | ArgStringInputFormat = "-sfi"
| String input format is used. More...
const string | ArgStringInputFormat1 = "/sfi"
| String input format is used. More...
const string | ArgBinaryInputFormatHex = "-bfix"
| Binary input format used is hexadecimal. More...
const string | ArgBinaryInputFormatHex1 = "/bfix"
| Binary input format used is hexadecimal. More...
const string | ArgBinaryInputFormatBase64 = "-bfi64"
| Binary input format used is base-64 encoding. More...
const string | ArgBinaryInputFormatBase641 = "/bfi64"
| Binary input format used is base-64 encoding. More...
const string | ArgBinaryInputFormatLongInt = "-bfii"
| Binary input format used is long int. More...
const string | ArgBinaryInputFormatLongInt1 = "/bfii"
| Binary input format used is long int. More...
const string | ArgString = "-s"
| Specification of string that is worked follows. More...
const string | ArgString1 = "/s"
| Specification of string that is worked follows. More...
const string | ArgHashValue = "-h"
| Specification of hashRet value follows (only with -c, for a single input file). More...
const string | ArgHashValue1 = "/h"
| Specification of hashRet value follows (only with -c, for a single input file). More...
const string | ArgOutputFile = "-o"
| Specification of output file follows. More...
const string | ArgOutputFile1 = "/o"
| Specification of output file follows. More...
const string | ArgForceOverwrite = "-yo"
| If files are to be wasOverwritten, permission is not asked for and overwriting is forced. More...
const string | ArgForceOverwrite1 = "/yo"
| If files are to be wasOverwritten, permission is not asked for and overwriting is forced.. More...
const string | ArgSkipOverwrite = "-no"
| If files are to be wasOverwritten, this is wasSkipped without asking whether to overwrite. More...
const string | ArgSkipOverwrite1 = "/no"
| If files are to be wasOverwritten, this is wasSkipped without asking whether to overwrite. More...
const string | ArgForceDelete = "-yd"
| If files are to be deleted, permission is not asked for and deletion is forced. More...
const string | ArgForceDelete1 = "/yd"
| If files are to be deleted, permission is not asked for and deletion is forced. More...
const string | ArgSkipDelete = "-nd"
| If files are to be deleted, this is automatically wasSkipped without asking whether to delete. More...
const string | ArgSkipDelete1 = "/nd"
| If files are to be deleted, this is automatically wasSkipped without asking whether to delete. More...
const string | ArgPathsAbsolute = "-pa"
| Paths will be output as absolute paths. More...
const string | ArgPathsAbsolute1 = "/pa"
| Paths will be output as absolute paths. More...
const string | ArgPathsRelative = "-pr"
| Paths will be output as relative paths. More...
const string | ArgPathsRelative1 = "/pr"
| Paths will be output as relative paths. More...
const string | ArgRecursiveDirectory = "-rd"
| Specification of a directory for recursive search of input files follows. More...
const string | ArgRecursiveDirectory1 = "/rd"
| Specification of a directory for recursive search of input files follows. More...
const string | ArgRecursiveDirectoryByLevels = "-rdl"
| Specification of a directory for recursive search of input files, sorted by levels, follows. More...
const string | ArgRecursiveDirectoryByLevels1 = "/rdl"
| Specification of a directory for recursive search of input files, sorted by levels, follows. More...
const string | ArgRecursiveDirectoryPattern = "-rp"
| Specification of a file search pattern for recursive directory search of input files follows. More...
const string | ArgRecursiveDirectoryPattern1 = "/rp"
| Specification of a file search pattern for recursive directory search of input files follows. More...
const string | ArgRecursiveDirectoryLevel = "-rl"
| Specification of a level of recursive directory search of input files follows. More...
const string | ArgRecursiveDirectoryLevel1 = "/rl"
| Specification of a level of recursive directory search of input files follows. More...
const string | ArgDeleteOriginal = "-delorig"
| Specifies that original files are deleted after being encrypted or decrypted. More...
const string | ArgDeleteOriginal1 = "/delorig"
| Specifies that original files are deleted after being encrypted or decrypted. More...
const string | ArgDeleteDecrypted = "-deldecrypted"
| Specifies that decrypted files (i.e., files with the ConstCrypto.FileExtensionDecrypted extension) are deleted. More...
const string | ArgDeleteDecrypted1 = "/deldecrypted"
| Specifies that decrypted files (i.e., files with the FileExtensionDecrypted extension) are deleted. More...
const string | ArgDeleteEncrypted = "-delencrypted"
| Specifies that encrypted files (i.e., files with the FileExtensionEncrypted extension) are deleted. More...
const string | ArgDeleteEncrypted1 = "/delencrypted"
| Specifies that encrypted files (i.e., files with the FileExtensionEncrypted extension) are deleted. More...
const string | ArgDeleteAllVersions = "-delallversions"
| Specifies that all versions of a single file are deleted in the cleaning operation. More...
const string | ArgDeleteAllVersions1 = "/delallversions"
| Specifies that all versions of a single file are deleted in the cleaning operation. More...

## Detailed Description

Contains constants for cryptographic operations from shell functions.

## Member Data Documentation

const int IG.Crypto.ConstCrypto.MaxTypeStringLength = 20

Maximal length of string representing algorithm types.

const int IG.Crypto.ConstCrypto.MinPasswordLength = 8

Minimal password length for encryption.

Referenced by IG.Crypto.UtilCrypto.PrepareSymmetricAllgorithmBasic().

const int IG.Crypto.ConstCrypto.MinPasswordSaltLength = 8

Minimal salt length for key derivation.

Referenced by IG.Crypto.UtilCrypto.EncryptBasic(), IG.Crypto.UtilCrypto.EncryptFileBasic(), IG.Crypto.UtilCrypto.EncryptStringBasic(), and IG.Crypto.UtilCrypto.PrepareSymmetricAllgorithmBasic().

const int IG.Crypto.ConstCrypto.MinSaltLength = 8

Minimal salt length for encryption.

const int IG.Crypto.ConstCrypto.FileBufferSize = 1024

Default size of file buffer.

const int IG.Crypto.ConstCrypto.DefaultNumPasswordIterations = 2000

Default number of key generation algorithms when generating the keys.

const int IG.Crypto.ConstCrypto.DefaultPasswordLength = 12

Default password length.

const int IG.Crypto.ConstCrypto.DefaultSaltLength = 64

Default salt length.

const int IG.Crypto.ConstCrypto.DefaultKeyLength = 64

Default key length.

const string IG.Crypto.ConstCrypto.HashFileExtension = ".chk"

File extension for files containing the calculated hashRet codes.

Referenced by IG.Forms.HashControl.SaveHashesToFile().

const string IG.Crypto.ConstCrypto.FileExtensionEncrypted = ".ig_enc"

File extension for encrypted files.

const string IG.Crypto.ConstCrypto.FileExtensionDecrypted = ".ig_dec"

File extension for encrypted files.

const string IG.Crypto.ConstCrypto.FileSignatureEncrypted = "IgEnc"

const string IG.Crypto.ConstCrypto.FileSignatureEncryptedAsymmetricRandomSymmetric = "IgEncAsRnSy"

const string IG.Crypto.ConstCrypto.ArgCheck = "-c"

Verification (check) is performed rather than calculation (although this may also include calculation).

const string IG.Crypto.ConstCrypto.ArgCheck1 = "/c"

Verification (check) is performed rather than calculation (although this may also include calculation).

const string IG.Crypto.ConstCrypto.ArgDecrypt = "-decrypt"

Specifies that decryption is performed, rather than encryption.

const string IG.Crypto.ConstCrypto.ArgDecrypt1 = "/decrypt"

Specifies that decryption is performed, rather than encryption.

const string IG.Crypto.ConstCrypto.ArgEncrypt = "-encrypt"

Specifies that encryption is performed, rather than decryption.

const string IG.Crypto.ConstCrypto.ArgEncrypt1 = "/encrypt"

Specifies that encryption is performed, rather than decryption.

const string IG.Crypto.ConstCrypto.ArgTime = "-time"

Prescribed or expected time of exection (e.g. in time measurements).

const string IG.Crypto.ConstCrypto.ArgTime1 = "/time"

Prescribed or expected time of exection (e.g. in time measurements).

const string IG.Crypto.ConstCrypto.ArgAlgorithmType = "-t"

Specification of algorithm type follows.

const string IG.Crypto.ConstCrypto.ArgAlgorithmType1 = "/t"

Specification of algorithm type follows.

const string IG.Crypto.ConstCrypto.ArgPasswordAlgorithmType = "-pwt"

Specification of password or key generaton algorithm type follows.

const string IG.Crypto.ConstCrypto.ArgPasswordAlgorithmType1 = "/pwt"

Specification of password or key generaton algorithm type follows.

const string IG.Crypto.ConstCrypto.ArgLargestKey = "-largestkey"

True or false follows, a flag specifying whether the largest key for an algorithm is used.

const string IG.Crypto.ConstCrypto.ArgLargestKey1 = "/largestkey"

True or false follows, a flag specifying whether the largest key for an algorithm is used.

const string IG.Crypto.ConstCrypto.ArgAsymAlgorithmType = "-at"

Specification of asymmetric algorithm type follows.

const string IG.Crypto.ConstCrypto.ArgAsymAlgorithmType1 = "/at"

Specification of asymmetric algorithm type follows.

const string IG.Crypto.ConstCrypto.ArgAsymKeyName = "-akn"

Specification of assymmetric key container name.

const string IG.Crypto.ConstCrypto.ArgAsymKeyName1 = "/akn"

Specification of assymmetric key container name.

const string IG.Crypto.ConstCrypto.ArgAsymKeyXmlFile = "-akxml"

Specification of assymmetric key xml file.

const string IG.Crypto.ConstCrypto.ArgAsymKeyXmlFile1 = "/akxml"

Specification of assymmetric key xml file.

const string IG.Crypto.ConstCrypto.ArgAsymKeyFlag = "-akf"

Specification that assymmetric CSP (crypto service provider) flag follows.

const string IG.Crypto.ConstCrypto.ArgAsymKeyFlag1 = "/akf"

Specification that assymmetric key CSP (crypto service provider) flag follows.

const string IG.Crypto.ConstCrypto.ArgAsymExportPrivateKey = "-exportprivatekey"

Specification that assymmetric private keys are be exported (or printed), too.

const string IG.Crypto.ConstCrypto.ArgAsymExportPrivateKey1 = "/exportprivatekey"

Specification that assymmetric private keys are be exported, (or printed), too.

const string IG.Crypto.ConstCrypto.ArgCertificateFile = "-cf"

Specification that certificate file path follows.

const string IG.Crypto.ConstCrypto.ArgCertificateFile1 = "/cf"

Specification that certificate file path follows.

const string IG.Crypto.ConstCrypto.ArgCertificatePassword = "-cp"

Specification that certificate password (for access to private key) follows.

const string IG.Crypto.ConstCrypto.ArgCertificatePassword1 = "/cp"

Specification that certificate password (for access to private key) follows.

const string IG.Crypto.ConstCrypto.ArgCertificatePasswordThroughUI = "-cpui"

Specifies that certificate password (for access to private key) should be obtained through the user interface (normally, throough console).

const string IG.Crypto.ConstCrypto.ArgCertificatePasswordThroughUI1 = "/cpui"

Specifies that certificate password (for access to private key) should be obtained through the user interface (normally, throough console).

const string IG.Crypto.ConstCrypto.ArgCertificateName = "-cn"

Specification that certificate name follows.

const string IG.Crypto.ConstCrypto.ArgCertificateName1 = "/cn"

Specification that certificate name follows.

const string IG.Crypto.ConstCrypto.ArgCertificateStoreName = "-cs"

Specification that certificate store name follows.

const string IG.Crypto.ConstCrypto.ArgCertificateStoreName1 = "/cs"

Specification that certificate store name follows.

const string IG.Crypto.ConstCrypto.ArgCertificateStoreLocation = "-csl"

Specification that certificate store location (current user or local machine) follows.

const string IG.Crypto.ConstCrypto.ArgCertificateStoreLocation1 = "/csl"

Specification that certificate store location (current user or local machine) follows.

const string IG.Crypto.ConstCrypto.ArgPasswordNumIterations = "-pwit"

Specification that number of iterations used in key generation algorithm follows.

const string IG.Crypto.ConstCrypto.ArgPasswordNumIterations1 = "/pwit"

Specification that number of iterations used in key generation algorithm follows.

const string IG.Crypto.ConstCrypto.ArgKeyHexBytes = "-kx"

Specification that key as hexadecimal byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgKeyHexBytes1 = "/kx"

Specification that key as hexadecimal byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgKeyBase64Bytes = "-k64"

Specification that key as base-64 encoded byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgKeyBase64Bytes1 = "/k64"

Specification that key as base-64 encoded byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgKeyLength = "-klen"

Specification that length of the key follows.

const string IG.Crypto.ConstCrypto.ArgKeyLength1 = "/klen"

Specification that length of the key follows.

const string IG.Crypto.ConstCrypto.ArgPasswordLength = "-pwlen"

Specification that length of the password or key follows.

const string IG.Crypto.ConstCrypto.ArgPasswordLength1 = "/pwlen"

Specification that length of the password or key follows.

const string IG.Crypto.ConstCrypto.ArgPasswordString = "-pw"

Specification that password string follows.

const string IG.Crypto.ConstCrypto.ArgPasswordString1 = "/pw"

Specification that password string follows.

const string IG.Crypto.ConstCrypto.ArgPasswordHexBytes = "-pwx"

Specification that password as hexadecimal byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgPasswordHexBytes1 = "/pwx"

Specification that password as hexadecimal byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgPasswordBase64Bytes = "-pw64"

Specification of password as base-64 encoded byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgPasswordBase64Bytes1 = "/pw64"

Specification of password as base-64 encoded byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgSaltLength = "-sllen"

Specification of length of the salt follows.

const string IG.Crypto.ConstCrypto.ArgSaltLength1 = "/sllen"

Specification of length of the salt follows.

const string IG.Crypto.ConstCrypto.ArgSaltString = "-sl"

Specification of password string follows.

const string IG.Crypto.ConstCrypto.ArgSaltString1 = "/sl"

Specification of password string follows.

const string IG.Crypto.ConstCrypto.ArgSaltHexBytes = "-slx"

Specification of password as hexadecimal byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgSaltHexBytes1 = "/slx"

Specification of password as hexadecimal byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgSaltBase64Bytes = "-sl64"

Specification of password as base-64 encoded byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgSaltBase64Bytes1 = "/sl64"

Specification of password as base-64 encoded byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgIvLength = "-ivlen"

Specification of length of the initialization vector follows.

const string IG.Crypto.ConstCrypto.ArgIvLength1 = "/ivlen"

Specification of length of the initialization vector follows.

const string IG.Crypto.ConstCrypto.ArgIvString = "-iv"

Specification of initialization vector in form of string follows.

const string IG.Crypto.ConstCrypto.ArgIvString1 = "/iv"

Specification of initialization vector in form of string follows.

const string IG.Crypto.ConstCrypto.ArgIvHexBytes = "-ivx"

Specification of initialization vector as hexadecimal byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgIvHexBytes1 = "/ivx"

Specification of initialization vector as hexadecimal byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgIvBase64Bytes = "-iv64"

Specification of initialization vector as base-64 encoded byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgIvBase64Bytes1 = "/iv64"

Specification of initialization vector as base-64 encoded byte sequence follows.

const string IG.Crypto.ConstCrypto.ArgStringOutputFormat = "-sf"

String output format (and possibly input, if not specified separately) is used.

const string IG.Crypto.ConstCrypto.ArgStringOutputFormat1 = "/bfx"

String output format (and possibly input, if not specified separately) is used.

const string IG.Crypto.ConstCrypto.ArgBinaryOutputFormatHex = "-bfx"

Binary output format (and possibly input, if not specified separately) used is hexadecimal.

const string IG.Crypto.ConstCrypto.ArgBinaryOutputFormatHex1 = "/bfx"

Binary output format (and possibly input, if not specified separately) used is hexadecimal.

const string IG.Crypto.ConstCrypto.ArgBinaryOutputFormatBase64 = "-bf64"

Binary output format (and possibly input, if not specified separately) used is hexadecimal.

const string IG.Crypto.ConstCrypto.ArgBinaryOutputFormatBase641 = "/bf64"

Binary output format (and possibly input, if not specified separately) used is hexadecimal.

const string IG.Crypto.ConstCrypto.ArgBinaryOutputFormatLongInt = "-bfi"

Binary output format (and possibly input, if not specified separately) used is long integer.

const string IG.Crypto.ConstCrypto.ArgBinaryOutputFormatLongInt1 = "/bfi"

Binary output format (and possibly input, if not specified separately) used is long integer.

const string IG.Crypto.ConstCrypto.ArgStringInputFormat = "-sfi"

String input format is used.

const string IG.Crypto.ConstCrypto.ArgStringInputFormat1 = "/sfi"

String input format is used.

const string IG.Crypto.ConstCrypto.ArgBinaryInputFormatHex = "-bfix"

Binary input format used is hexadecimal.

const string IG.Crypto.ConstCrypto.ArgBinaryInputFormatHex1 = "/bfix"

Binary input format used is hexadecimal.

const string IG.Crypto.ConstCrypto.ArgBinaryInputFormatBase64 = "-bfi64"

Binary input format used is base-64 encoding.

const string IG.Crypto.ConstCrypto.ArgBinaryInputFormatBase641 = "/bfi64"

Binary input format used is base-64 encoding.

const string IG.Crypto.ConstCrypto.ArgBinaryInputFormatLongInt = "-bfii"

Binary input format used is long int.

const string IG.Crypto.ConstCrypto.ArgBinaryInputFormatLongInt1 = "/bfii"

Binary input format used is long int.

const string IG.Crypto.ConstCrypto.ArgString = "-s"

Specification of string that is worked follows.

const string IG.Crypto.ConstCrypto.ArgString1 = "/s"

Specification of string that is worked follows.

const string IG.Crypto.ConstCrypto.ArgHashValue = "-h"

Specification of hashRet value follows (only with -c, for a single input file).

const string IG.Crypto.ConstCrypto.ArgHashValue1 = "/h"

Specification of hashRet value follows (only with -c, for a single input file).

const string IG.Crypto.ConstCrypto.ArgOutputFile = "-o"

Specification of output file follows.

const string IG.Crypto.ConstCrypto.ArgOutputFile1 = "/o"

Specification of output file follows.

const string IG.Crypto.ConstCrypto.ArgForceOverwrite = "-yo"

If files are to be wasOverwritten, permission is not asked for and overwriting is forced.

const string IG.Crypto.ConstCrypto.ArgForceOverwrite1 = "/yo"

If files are to be wasOverwritten, permission is not asked for and overwriting is forced..

const string IG.Crypto.ConstCrypto.ArgSkipOverwrite = "-no"

If files are to be wasOverwritten, this is wasSkipped without asking whether to overwrite.

const string IG.Crypto.ConstCrypto.ArgSkipOverwrite1 = "/no"

If files are to be wasOverwritten, this is wasSkipped without asking whether to overwrite.

const string IG.Crypto.ConstCrypto.ArgForceDelete = "-yd"

If files are to be deleted, permission is not asked for and deletion is forced.

const string IG.Crypto.ConstCrypto.ArgForceDelete1 = "/yd"

If files are to be deleted, permission is not asked for and deletion is forced.

const string IG.Crypto.ConstCrypto.ArgSkipDelete = "-nd"

If files are to be deleted, this is automatically wasSkipped without asking whether to delete.

const string IG.Crypto.ConstCrypto.ArgSkipDelete1 = "/nd"

If files are to be deleted, this is automatically wasSkipped without asking whether to delete.

const string IG.Crypto.ConstCrypto.ArgPathsAbsolute = "-pa"

Paths will be output as absolute paths.

const string IG.Crypto.ConstCrypto.ArgPathsAbsolute1 = "/pa"

Paths will be output as absolute paths.

const string IG.Crypto.ConstCrypto.ArgPathsRelative = "-pr"

Paths will be output as relative paths.

const string IG.Crypto.ConstCrypto.ArgPathsRelative1 = "/pr"

Paths will be output as relative paths.

const string IG.Crypto.ConstCrypto.ArgRecursiveDirectory = "-rd"

Specification of a directory for recursive search of input files follows.

const string IG.Crypto.ConstCrypto.ArgRecursiveDirectory1 = "/rd"

Specification of a directory for recursive search of input files follows.

const string IG.Crypto.ConstCrypto.ArgRecursiveDirectoryByLevels = "-rdl"

Specification of a directory for recursive search of input files, sorted by levels, follows.

const string IG.Crypto.ConstCrypto.ArgRecursiveDirectoryByLevels1 = "/rdl"

Specification of a directory for recursive search of input files, sorted by levels, follows.

const string IG.Crypto.ConstCrypto.ArgRecursiveDirectoryPattern = "-rp"

Specification of a file search pattern for recursive directory search of input files follows.

const string IG.Crypto.ConstCrypto.ArgRecursiveDirectoryPattern1 = "/rp"

Specification of a file search pattern for recursive directory search of input files follows.

const string IG.Crypto.ConstCrypto.ArgRecursiveDirectoryLevel = "-rl"

Specification of a level of recursive directory search of input files follows.

const string IG.Crypto.ConstCrypto.ArgRecursiveDirectoryLevel1 = "/rl"

Specification of a level of recursive directory search of input files follows.

const string IG.Crypto.ConstCrypto.ArgDeleteOriginal = "-delorig"

Specifies that original files are deleted after being encrypted or decrypted.

const string IG.Crypto.ConstCrypto.ArgDeleteOriginal1 = "/delorig"

Specifies that original files are deleted after being encrypted or decrypted.

const string IG.Crypto.ConstCrypto.ArgDeleteDecrypted = "-deldecrypted"

Specifies that decrypted files (i.e., files with the ConstCrypto.FileExtensionDecrypted extension) are deleted.

In most cases, such files will only be deleted if either the corresponding original or encrypted file exists.

const string IG.Crypto.ConstCrypto.ArgDeleteDecrypted1 = "/deldecrypted"

Specifies that decrypted files (i.e., files with the FileExtensionDecrypted extension) are deleted.

In most cases, such files will only be deleted if either the corresponding original or encrypted file exists.

const string IG.Crypto.ConstCrypto.ArgDeleteEncrypted = "-delencrypted"

Specifies that encrypted files (i.e., files with the FileExtensionEncrypted extension) are deleted.

In most cases, such files will only be deleted if the corresponding original file exists.

const string IG.Crypto.ConstCrypto.ArgDeleteEncrypted1 = "/delencrypted"

Specifies that encrypted files (i.e., files with the FileExtensionEncrypted extension) are deleted.

In most cases, such files will only be deleted if either the corresponding original file exists.

const string IG.Crypto.ConstCrypto.ArgDeleteAllVersions = "-delallversions"

Specifies that all versions of a single file are deleted in the cleaning operation.

const string IG.Crypto.ConstCrypto.ArgDeleteAllVersions1 = "/delallversions"

Specifies that all versions of a single file are deleted in the cleaning operation.

The documentation for this class was generated from the following file:

- igbase/utilities/UtilCryptoAux.cs